<!DOCTYPE html>

<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title></title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="">

        <!-- Bootstrap Link -->
        <link
            rel="stylesheet"
            href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css"
            integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l"
            crossorigin="anonymous"/>

    </head>

    <body>

        <div class="container-fluid text-center">
            <h1>Bootstrap Flex</h1>

            <p>Use the d-flex class to create a flex container and transform direct
                childredn into flex item</p>\

            <h2>Centering Elements</h2>
            <div
                style="height: 500px;"
                class="bg-secondary p-3 d-flex align-items-center flex-column">
                <div class="h-25 p-3 bg-success">Flex Item A</div>
                <div class="h-25 p-3 bg-warning">Flex Item B</div>
                <div class="h-25 p-3 bg-danger">Flex Item C</div>
            </div>

            <h2>Flew Row</h2>
            <div class="bg-dark p-3 d-flex flex-row">
                <div class="p-3 bg-success">Flex Item A</div>
                <div class="p-3 bg-warning">Flex Item B</div>
                <div class="p-3 bg-danger">Flex Item C</div>
            </div>

            <h2>Flew Row Reverse</h2>
            <div class="bg-dark p-3 d-flex flex-row-reverse">
                <div class="p-3 bg-success">Flex Item A</div>
                <div class="p-3 bg-warning">Flex Item B</div>
                <div class="p-3 bg-danger">Flex Item C</div>
            </div>'

            <h2>Creating Space between Elements</h2>
            <div class="bg-dark p-3 d-flex justify-content-md-around">
                <div class="p-3 bg-success">Flex Item A</div>
                <div class="p-3 bg-warning">Flex Item B</div>
                <div class="p-3 bg-danger">Flex Item C</div>
            </div>

            <h2>Flex box with Margin</h2>
            <div class="bg-dark p-3 d-flex ">
                <div class="p-3 bg-success mr-auto">Flex Item A</div>
                <div class="p-3 bg-warning">Flex Item B</div>
                <div class="p-3 bg-danger">Flex Item C</div>
                <div class="p-3 bg-primary">Flex Item d</div>
            </div>

            <h2>Nested Flex Elements</h2>
            <div class="bg-dark p-3 d-block d-md-flex ">
                <div class="p-3 bg-success mr-auto">Flex Item A</div>
                <div class="w-50 d-block d-md-flex justify-content-between bg-secondary">
                    <div class="p-3 bg-warning ">Flex Item B</div>
                    <div class="p-3 bg-danger">Flex Item C</div>
                    <div class="p-3 bg-primary">Flex Item d</div>
                </div>

            </div>

        </div>

        <script
            src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
            integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
            crossorigin="anonymous"></script>
        <script
            src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF"
            crossorigin="anonymous"></script>
    </body>

</html>